var _____WB$wombat$assign$function_____ = function(name) {return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name)) || self[name]; };
if (!self.__WB_pmw) { self.__WB_pmw = function(obj) { this.__WB_source = obj; return this; } }
{
  let window = _____WB$wombat$assign$function_____("window");
  let self = _____WB$wombat$assign$function_____("self");
  let document = _____WB$wombat$assign$function_____("document");
  let location = _____WB$wombat$assign$function_____("location");
  let top = _____WB$wombat$assign$function_____("top");
  let parent = _____WB$wombat$assign$function_____("parent");
  let frames = _____WB$wombat$assign$function_____("frames");
  let opener = _____WB$wombat$assign$function_____("opener");

$(window).on("load", function(e) {
  $("#se-pre-con").fadeOut("slow");
});
$(document).ready(function() {
  $("#toggle").click(function() {
      $(this).toggleClass("on");
      $(".menu").toggleClass("showmenu");
      $(".search-form").removeClass("showsearch");
  });
  $(".dashboard-profile-icon").click(function() {
      $(".dashboard-profile-menu").toggleClass("show-dashboard-profile-menu");
  });
  $('.datepicker').pickadate({
    selectYears: 70,
    max: true,
    selectMonths: true
  });
  var easyoptions = {
    url: "get-data-home/kota-kabupaten",
    list: {
      match: {
        enabled: true
      }
    },
  };
  $("#city").easyAutocomplete(easyoptions);

  $("#cari").click(function() {
      $(".search-form").toggleClass("showsearch");
  });
  $("#myBtn").click(function() {
      $("#myModal").addClass("modalshow");
      console.log("ea");
  });
  $(".modalclose").click(function() {
      $("#myModal").removeClass("modalshow");
  });

  $("#close").click(function() {
      $(".search-form").removeClass("showsearch");
  });
  $(".login-toggle").click(function() {
      $(".login-container").toggleClass("display");
  });

  $('.passwordunmask').on('click', function(){
    if($(this).prev('input').attr('type') == 'password')
      $(this).prev('input').prop('type', 'text');
    else
      $(this).prev('input').prop('type', 'password');
    return false;
  });
  $('.validationpassword').on('keyup',function (){
  var p_c = $('#passwd');
  var p = $('#passwd2');
  // console.log(p.val() + p_c.val());
  if(p.val().length > 0){
  if(p.val() != p_c.val()) {
      $('#valid').html("Password not match");
      } else {
      $('#valid').html('');
    }
  var s = 'weak'
  if(p.val().length > 7 && p.val().match(/\d+/g))
    s = 'medium';
  if(p.val().length > 8 && p.val().match(/[^\w\s]/gi))
    s = 'strong';
     $('#strong span').addClass(s).html(s);
    }
  });
$('#chooseFile').bind('change', function () {
  var filename = $("#chooseFile").val();
  if (/^\s*$/.test(filename)) {
    $(".file-upload").removeClass('active');
    $("#noFile").text("No file chosen...");
  }
  else {
    $(".file-upload").addClass('active');
    $("#noFile").text(filename.replace("C:\\fakepath\\", ""));
  }
});

// $("#email").keyup(function(){
//     var uemail = $("#email").val().trim();
//     var csrf = $("#csrf_name").val();
//     var name_csrf = $("#csrf_name").attr('name');
//     var email_valid = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/.test(this.value);

//     /*if (email_valid == true){
//       $("#email_format_valid").addClass("hide");
//       $("#email_response").removeClass("hide");
//       console.log("email bener");
//     }else {
//       $("#email_format_valid").html("<span class='red-note'>* Format email salah</span>");
//       $("#email_response").addClass("hide");
//       $("#email_format_valid").removeClass("hide");
//       console.log("email salah");
//     }*/

//     if(uemail != ''){
//        $("#email_response").show();
//        $.ajax({
//           //url: '/project/cimb/develop/register/checkemailalreadyuse',
//           url: '/jadinyata/register/checkemailalreadyuse',
//           type: 'post',
//           data: {csrf_test_name:csrf,uemail:uemail},
//           success: function(result){
//               if(result > 0){
//                   $("#email_response").html("<span class='red-note'>* Email pengguna sudah dipakai.</span>");
//                   $("#daftar_trigger").attr( "disabled", "disabled" );
//               }else{
//                   $("#email_response").html("<span class='exists'>Email Pengguna tersedia.</span>");
//                   $("#daftar_trigger").removeAttr( "disabled", "disabled" );
//               }
//            }
//         });
//     }else{
//        $("#email_response").hide();
//     }
//   });
});
$(window).scroll(function() {
  var scroll = $(window).scrollTop();
   //>=, not <=
  if (scroll >= 50) {
      $(".header").addClass("headergrey");
  }
  else {
      $(".header").removeClass("headergrey");
  }
}); //missing );



$(function() {
$('a[href*=\\#]:not([href=\\#])').click(function() {
  if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
    var target = $(this.hash);
    target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
    if (target.length) {
      $('html,body').animate({
        scrollTop: target.offset().top
      }, 500);
      return false;
    }
  }
});
});
$(function() {
  $('#nasabah2').hide();
  $('#nasabah').change(function(){
      if($('#nasabah').val() == 'Ya') {
          $('#nasabah2').show();
      } else {
          $('#nasabah2').hide();
      }
  });
});

function showAlert(el) {
//console.log('nongol');
$('#nongol').addClass('showalert');
}
function hideAlert(el) {
//console.log('tutuf');
$('#nongol').removeClass('showalert');
}

/*$(document).ready(function(){
  $('.gallery').featherlightGallery({
      gallery: {
          fadeIn: 300,
          fadeOut: 300
      },
      openSpeed:    300,
      closeSpeed:   300
  });
});
$.featherlightGallery.prototype.afterContent = function() {
var caption = this.$currentTarget.find('img').attr('alt');
this.$instance.find('.caption').remove();
$('<div class="caption">').text(caption).appendTo(this.$instance.find('.featherlight-content'));
};*/


}
/*
     FILE ARCHIVED ON 05:41:29 Jul 13, 2024 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 12:09:11 Sep 23, 2025.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  captures_list: 0.883
  exclusion.robots: 0.042
  exclusion.robots.policy: 0.026
  esindex: 0.021
  cdx.remote: 96.648
  LoadShardBlock: 243.871 (3)
  PetaboxLoader3.datanode: 132.419 (5)
  PetaboxLoader3.resolve: 267.553 (2)
  load_resource: 298.001
  loaddict: 161.058
*/